#ifndef _H_SYSTEM
#define _H_SYSTEM

#include <stdbool.h>

void *OS_MapFile(const char *path);
void OS_UnmapFile(void *data);

bool OS_DeleteFile(const char *filename);
void OS_DeleteAllInDir(const char *path);
void OS_MkdirIfNotExists(const char *path);

void OS_SetupCrashHandler(void);

#endif
